%define iconname gcstar.png
%define _provides_exceptions perl(.*)
%define _requires_exceptions perl(GC.*)

Summary:    A collection manager 
Name:       gcstar
Version:    1.7.0
Release:    %mkrel 2
License:    GPLv2+
Group:      Databases
URL:        https://gna.org/projects/gcstar/
Source:     http://download.gna.org/gcstar/%{name}-%{version}.tar.gz
Patch0:     gcstar-1.6.2-fhs.patch
Requires:   perl-Archive-Zip
Requires:   perl-Date-Calc
Requires:   perl-GD
BuildRequires: desktop-file-utils
BuildArch:  noarch 

%description
Gcstar is an application that can manage multiple collections.
Movies, Books, Video games, Games, Music, Stamps, Vine, etc.
It builds upon gcfilm's legacy.
You can update your data directly from the Internet.

%prep
%setup -q -n %{name}
%patch0 -p 1
 
%install
rm -rf %{buildroot}

install -D -m 755 bin/gcstar %{buildroot}%{_bindir}/gcstar

install -d %{buildroot}%{_datadir}
cp -a share/* %{buildroot}%{_datadir}
cp -a lib/gcstar %{buildroot}%{_datadir}/%{name}/lib

install -D -m 644 man/%{name}.1 %{buildroot}%{_mandir}/man1/%{name}.1

desktop-file-install --vendor='' \
        --dir %{buildroot}%{_datadir}/applications \
        --add-category='Office;AudioVideo;GTK' \
        %{buildroot}%{_datadir}/applications/*.desktop

mkdir -p %{buildroot}{%{_miconsdir},%{_iconsdir},%{_liconsdir},%{_menudir}}
cp share/gcstar/icons/%{name}_48x48.png %{buildroot}%{_liconsdir}/%{iconname}
cp share/gcstar/icons/%{name}_32x32.png %{buildroot}%{_iconsdir}/%{iconname}
cp share/gcstar/icons/%{name}_16x16.png %{buildroot}%{_miconsdir}/%{iconname}

%files
%doc README CHANGELOG
%{_bindir}/%{name}
%{_datadir}/applications/%{name}*
%{_datadir}/%{name}
%{_miconsdir}/%{iconname}
%{_iconsdir}/%{iconname}
%{_liconsdir}/%{iconname} 
%{_mandir}/man1/%{name}*



%changelog

* Fri Jan 11 2013 umeabot <umeabot> 1.7.0-2.mga3
+ Revision: 351120
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 01 2012 shadow95 <shadow95> 1.7.0-1.mga3
+ Revision: 324061
- update to new version 1.7.0

* Sat Aug 11 2012 guillomovitch <guillomovitch> 1.6.2-2.mga3
+ Revision: 280616
- no need  for an explicit gtk dependency
- use /usr/share prefix for perl modules
- private perl modules are not suitable dependencies

* Mon Nov 07 2011 shadow95 <shadow95> 1.6.2-1.mga2
+ Revision: 165120
- fix error in install section
- clean spec
- remove old options (clean/update menu) in spec
- update to new version 1.6.2
- Update description
- clean spec
- clean spec
- first import in Mageia
- clean spec
- imported package gcstar

  + stormi <stormi>
    - change description a bit

